Pipeline Refresh
This contains APIs related to validation of templates in pipeline yaml
This recursively refresh and update template inputs in pipeline
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Name of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
Path to the root folder of the Entity. [Applicable for Old Git Sync only]
File Path of the Entity.
Commit Message to use for the merge commit.
Its required field during update call request. It can be fetched from the response of GET API call for the entity
If the entity is git-synced, this parameter represents the commit id against which file conflicts are resolved
Name of the default branch.
Identifier of Connector needed for CRUD operations on the respective Entity
last commit id of the file
Checks the new branch
falseIs Harness code repo enabled
falseBad Request
This is Failure entity as defied in Harness
Internal Server Error
This recursively refresh and update template inputs in pipeline
POST /gateway/pipeline/api/refresh-template/refresh-all?accountIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Validates the template inputs in a pipeline's YAML specification. If the template inputs are invalid, the operation returns an error summary.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Name of the branch.
Git Sync Config Id. [Applicable for Old Git Sync only]
if true, return all the default entities
falseBad Request
This is Failure entity as defied in Harness
Internal Server Error
Returns a validation result for template inputs present in a pipeline's YAML specification.
GET /gateway/pipeline/api/refresh-template/validate-template-inputs?accountIdentifier=text HTTP/1.1
Host: pipeline-service-6c65d4b68c-lrg8j
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?